package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * ModifyTagOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ModifyTagOpenApiVo   {
  @JsonProperty("tagId")
  private String tagId;

  @JsonProperty("name")
  private String name;

  public ModifyTagOpenApiVo tagId(String tagId) {
    this.tagId = tagId;
    return this;
  }

  /**
   * Tag ID
   * @return tagId
  */
  @ApiModelProperty(required = true, value = "Tag ID")
  @NotNull


  public String getTagId() {
    return tagId;
  }

  public void setTagId(String tagId) {
    this.tagId = tagId;
  }

  public ModifyTagOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Tag name should contain 1 to 128 ASCII characters.
   * @return name
  */
  @ApiModelProperty(required = true, value = "Tag name should contain 1 to 128 ASCII characters.")
  @NotNull

@Pattern(regexp="^[\\041-\\0176]$|^[\\041-\\0176][\\040-\\0176]{0,126}[\\041-\\0176]$") 
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyTagOpenApiVo modifyTagOpenApiVo = (ModifyTagOpenApiVo) o;
    return Objects.equals(this.tagId, modifyTagOpenApiVo.tagId) &&
        Objects.equals(this.name, modifyTagOpenApiVo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(tagId, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyTagOpenApiVo {\n");
    
    sb.append("    tagId: ").append(toIndentedString(tagId)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

